List documents
Lists the documents belonging to a certain session registered in the system
URL: GET https://api.scriptix.io/api/v3/reseller/customer/{customerId}/transcript/{sessionId}/document
Path parameters
The following path parameters need to be present
| Parameter | Description |
|---|---|
| customerId | Customer ID |
| sessionId | Scriptix Transcript Session ID |
Request headers
The following headers need to be present
| Parameter | Value | Description |
|---|---|---|
| x-zoom-s2t-key | Scriptix Reseller API Token | API key of type Reseller needed for authorization |
Request query parameters
| Argument | Type | Description |
|---|---|---|
| offset | integer >= 0 |
Default: 0Sets the offset of all items to return. Mostly combined with limit |
| sort | string |
(Optional) Sorting field, must be a key provided in the output objects |
Responses
| Status code | Description |
|---|---|
| 200 | List of documents |
| 400 | Bad Request |
| 401 | Unauthorized |
| 403 | Forbidden |
| 404 | Not Found |
| 500 | Server Error |
HTTP 200 OK
Content-type: application/json
Response: APIResultResponse<DocumentObject[]>
JSON Response
{
"result": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"created": "2019-08-24T14:15:22Z",
"last_modified": "2019-08-24T14:15:22Z",
"filename": "string",
"type": "document"
}
],
"count": 1,
"total_results": 5
}